## com.vividsolutions.jts.geom
Class TopologyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.vividsolutions.jts.geom.TopologyException

All Implemented Interfaces:
  java.io.Serializable

public class TopologyException
extends java.lang.RuntimeException

Indicates an invalid or inconsistent topological situation encountered during processing

Version:
  1.7
See Also:
  Serialized Form

Constructor Summary
`TopologyException(java.lang.String msg)`
`TopologyException(java.lang.String msg, Coordinate pt)`

Method Summary
`Coordinate` `getCoordinate()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TopologyException

    public TopologyException(java.lang.String msg)

### TopologyException

    public TopologyException(java.lang.String msg,
                             Coordinate pt)

Method Detail

### getCoordinate

    public Coordinate getCoordinate()